# Sensu Check Critical Updates

## Table of Contents

- [Overview](#overview)
- [Files](#files)
- [Usage examples](#usage-examples)
- [Configuration](#configuration)
  - [Asset registration](#asset-registration)
  - [Check definition](#check-definition)
- [Installation from source](#installation-from-source)
- [Additional notes](#additional-notes)
- [Contributing](#contributing)

## Overview

The Sensu Check File Exists is a [Sensu Check][6] that looks for the specified file.
This Sensu Check Critical Updates, checks if there are critical updates waiting to be installed.
On Redhat and Centos the eretra data is used, to determine if critical patches are waiting.
Ubuntu does not have such metadata, and the Apt tools don't provide scalable ways of implementing a severity check.

Because of limitations in CentOS and Ubuntu **security patches are only reported for RedHat Linux**

## Files

## Usage examples

## Configuration

For checking updates on Redhat/CentOS this check depends on 'yum' and 'yum-security'.
On Ubuntu Linux it depends on 'apt'.

### Asset registration

[Sensu Assets][10] are the best way to make use of this plugin. If you're not using an asset, please
consider doing so! If you're using sensuctl 5.13 with Sensu Backend 5.13 or later, you can use the
following command to add the asset:

```
sensuctl asset add ranzbak/sensu-check-critical-updates
```

If you're using an earlier version of sensuctl, you can find the asset on the [Bonsai Asset Index][https://bonsai.sensu.io/assets/phonig/sensu-check-critical-updates].

### Check definition

```yml
---
type: CheckConfig
api_version: core/v2
metadata:
  name: sensu-check-critical-updates
  namespace: default
spec:
  command: sensu-check-critical-updates
  subscriptions:
    - system
  runtime_assets:
    - ranzbak/sensu-check-critical-updates
```

## Installation from source

The preferred way of installing and deploying this plugin is to use it as an Asset. If you would
like to compile and install the plugin from source or contribute to it, download the latest version
or create an executable script from this source.

From the local path of the sensu-check-critical-updates repository:

```
go build
```

## Additional notes

## Contributing

For more information about contributing to this plugin, see [Contributing][1].

[1]: https://github.com/sensu/sensu-go/blob/master/CONTRIBUTING.md
[2]: https://github.com/sensu-community/sensu-plugin-sdk
[3]: https://github.com/sensu-plugins/community/blob/master/PLUGIN_STYLEGUIDE.md
[4]: https://github.com/sensu-community/check-plugin-template/blob/master/.github/workflows/release.yml
[5]: https://github.com/sensu-community/check-plugin-template/actions
[6]: https://docs.sensu.io/sensu-go/latest/reference/checks/
[7]: https://github.com/sensu-community/check-plugin-template/blob/master/main.go
[8]: https://bonsai.sensu.io/
[9]: https://github.com/sensu-community/sensu-plugin-tool
[10]: https://docs.sensu.io/sensu-go/latest/reference/assets/
